Subject: [hybi] Masking debug capability proposition (WAS: Masking for WS data content)

From: Silvio Ventres <[email-masked]>
Date: Sat, 26 Feb 2011 21:08:00 +0200

After doing a small benchmark done in C on a 1GHz Athlon X2,
it seems that if most of the WS-using packets will include less than 20 bytes
of content, the additional overhead of processing "fake-POST" header has
approximately the same impact on packet processing performance as the
XOR masking.
Given that fake-POST headers also add considerable bandwidth overhead,
approximately doubling the bandwidth requirements at sub-20byte data
content length,
it's not a viable solution.

Still, XOR masking prevents developers to easily debug their applications.

PROPOSITION:

Is it possible to include a section specifically allowing WS applications to set
some kind of "debug" flag to set XOR mask to 0?

Maybe the flag should automatically add some kind of user-visible
warning, so developers
don't leave it in production code.

--
 silvio